{$i-}

program LINES (input, output);

var
  TEKST   : string;
  F       : file;
  BUFFER  : array[1..5335] of byte;
  B       : byte;
  TOTAL   : longint;
  C, C2,C3: longint;
  BPOS    : longint;
  SIZE    : longint;

begin
  if paramcount < 1 then begin
    writeln;
    writeln ('  dit programma telt het aantal lijnen in een gewoon tekstbestand.');
    writeln;
    writeln ('    gebruik: LINES[.EXE] <Bestandsnaam[.TXT | ??X]> .... ... ....');
    halt (5);
  end;
  TOTAL:= 0;
  TEKST:= paramstr (1);
  assign (F, TEKST);
  reset (F, 1);
  if (ioresult <> 0) then begin
    writeln;
    writeln ('Fout; bestand met bestandsnaam: "'+TEKST+'" niet gevonden.');
    halt (1);
  end;
  SIZE:= filesize (F);
  for C:= 1 to SIZE div 5301 do begin
    blockread (F, BUFFER, 5301);
    for C2:= 1 to 5301 do begin
      B:= BUFFER[C2];
      if B = 13 then begin
        inc (TOTAL, 1);
        BPOS:= C2;
      end;
    end;
  end;
  SIZE:= SIZE mod 5301;
  if SIZE = 0 then begin
    close (F);
    if BPOS < 5301 then inc (TOTAL, 1);
  end else begin
    blockread (F, BUFFER, SIZE);
    for C3:= 1 to SIZE do begin
      B:= BUFFER[C3];
      if B = 13 then begin
        inc (TOTAL, 1);
        BPOS:= C3;
      end;
    end;
    if BPOS < SIZE then inc (TOTAL, 1);
  end;
  writeln (TOTAL);
end.